MediaWiki:Common.css

From MediaWiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/***** CSS placed here will be applied to all skins on the entire site. *****/
/* <s>See also: [[MediaWiki:Monobook.css]]</s> */
/* Or actually don't see it, because it's not useful. Only Common.css and your */
/* your own custom css files get loaded. */
/* <pre> */

@import "/mediawiki/index.php?title=User:Derik/Common_tmp.css&action=raw&ctype=text/css";

/* Mark redirects in Special:Allpages and Special:Watchlist */
.allpagesredirect { font-style: italic; }
.watchlistredir { font-style: italic; }

/* Giving headers and TOC a little extra space */
h2 {margin-top: 20px;}

.toc {margin-top: 20px;}
#toolbar { height: 22px; }

/* Infobox template style */
.infobox {
   border: 1px solid #aaaaaa;
   background-color: #f9f9f9;
   color: black;
     padding: 0.2em;
}
@media all and (max-width: 500px) {
  .infobox {
    margin: 0 auto;
    clear: both;
    max-width: 100%;
  }
}
@media all and (min-width: 500px) {
  .infobox {
     margin-left: 1em;
     margin-bottom: 0.5em;
     float: right;
     clear: right;
  }
}

.infobox td,
.infobox th {
   vertical-align: top;
}
.infobox caption {
   font-size: larger;
   margin-left: inherit;
}
.infobox.bordered {
   border-collapse: collapse;
}
.infobox.bordered td,
.infobox.bordered th {
   border: 1px solid #aaaaaa;
}
.infobox.bordered .borderless td,
.infobox.bordered .borderless th {
   border: 0;
}

/* Forum formatting (by -Algorithm & -Splaka) */
/*
.forumheader {
     border: 1px solid #aaa;
     background-color: #f9f9f9; margin-top: 1em; padding: 12px;
}
.forumlist td.forum_edited a {
     color: black; text-decoration: none
}
.forumlist td.forum_title a {
     padding-left: 20px;
}
.forumlist td.forum_title a.forum_new {
     font-weight: bold; background: url(/images/4/4e/Forum_new.gif)
     center left no-repeat; padding-left: 20px;
}
.forumlist td.forum_title a.forum_new:visited {
     font-weight: normal; background: none; padding-left: 20px;
}
.forumlist th.forum_title {
     padding-left: 20px;
}
*/
/* Recent changes byte indicators */
.mw-plusminus-pos { color: #006500; }
.mw-plusminus-neg { color: #8B0000; }


/* wikitable/prettytable class for skinning normal tables */
/* everything below is imported from Monobook.css, blame Derik if it blows up */

table.wikitable,
table.prettytable {
  margin: 1em 1em 1em 0;
  background: #f9f9f9;
  border: 1px #aaa solid;
  border-collapse: collapse;
}

table.wikitable th, table.wikitable td,
table.prettytable th, table.prettytable td {
  border: 1px #aaa solid;
  padding: 0.2em;
}

table.wikitable th,
table.prettytable th {
  background: #f2f2f2;
  text-align: center;
}

table.wikitable caption,
table.prettytable caption {
  margin-left: inherit;
  margin-right: inherit;
  font-weight: bold;
}

/* TELETRAN-1 SPECIFIC BITS */

.tt1_nowrap {
white-space: nowrap;
}

.tt1_storylink {
  font-size: 10px;
  background-color: #ececec;
  border-width: 0 1px 0 1px;
  border-style: solid;
  padding: 0 5px 0 5px;
  border-color: #cccccc;
}

.tt1_istorylink {
  font-size: 10px;
  background-color: #e8d0d0;
  border-width: 0 1px 0 1px;
  border-style: solid;
  padding: 0 2px 0 5px;
  border-color: #d3b1b1;
}
#n-mainpage { border-bottom: 1px solid rgb(192, 192, 192) !important; }
#n-portal { border-top: 1px solid rgb(192, 192, 192) !important; }

/* main page layout */
@media all and (min-width: 600px) {
  .mainleft { width: 50%; float: left }
  .mainright { width: 50%; float: right }
}
@media all and (max-width: 600px) {
  .mainleft { clear: both }
  .mainright { clear: both }
}
@media all and (min-width: 1200px) {
  #mpexternalicons { width:450px; margin:0 auto; }
  #mpexternaliconssister { float: left; position:relative; }
  #mpexternaliconssocmed { float:right; position:relative; }
}
@media all and (max-width: 1200px) {
  #mpexternalicons { margin:0 auto; }
  #mpexternaliconssister { position:relative; width:148px; margin:0 auto; }
  #mpexternaliconssocmed { position:relative; width:210px; margin:0 auto; }
}

.yearofthe {
  width:250px;
  float:right;
}

/* Noname templates */
.noname { width: 100%; }
.noname-imagecell { padding-left: 2em; }
.noname-textcell { vertical-align: bottom; width: 100%; }
.noname-textcell div { background-color: #efefff; display: table; width: 100%; }
.noname-textcell p { margin: 0px; }

/* insignia bullet points */
ul.iconlist {margin-left:.5em}
li.autobotg1 {background: url("/mediawiki/images2/0/00/Autobotg1bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.decepticong1 {background: url("/mediawiki/images2/4/44/Decepticong1bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.autobotg2 {background: url("/mediawiki/images2/f/fb/Autobotg2bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.decepticong2 {background: url("/mediawiki/images2/e/ef/Decepticong2bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.maximalbw {background: url("/mediawiki/images2/6/6a/Maximalbwbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.predaconbw {background: url("/mediawiki/images2/2/2a/Predaconbwbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.mutantbw {background: url("/mediawiki/images2/b/b6/Mutantsbwbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.maximalbm {background: url("/mediawiki/images2/4/4d/Maximalbmbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.vehiconbm {background: url("/mediawiki/images2/0/01/Vehiconbmbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.dinobotbm {background: url("/mediawiki/images2/2/2b/Dinobotsbmbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.minicon {background: url("/mediawiki/images2/6/65/Miniconbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.combatron {background: url("/mediawiki/images2/4/49/Combatronbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.unicron {background: url("/mediawiki/images2/7/78/Unicronbtbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.autobotsg {background: url("/mediawiki/images2/9/9d/Autobotsgbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.decepticonsg {background: url("/mediawiki/images2/5/5b/Decepticonsgbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.predaconpr {background: url("/mediawiki/images2/1/10/Predaconprbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.optimus {background: url("/mediawiki/images2/8/82/Optimusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.malignus {background: url("/mediawiki/images2/b/b8/Malignusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.quintesson {background: url("/mediawiki/images2/5/56/Quintessonbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}

li.autodecptg1 {background: url("/mediawiki/images2/2/29/AutoDecepg1bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.autodecptg2 {background: url("/mediawiki/images2/7/73/AutoDecepg2bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.maxpredbw {background: url("/mediawiki/images2/f/f1/MaxPredbwbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.deceptautosg {background: url("/mediawiki/images2/5/58/DecepAutosgbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.autopredpr {background: url("/mediawiki/images2/a/a2/AutoPredprbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.deceptpredpr {background: url("/mediawiki/images2/9/94/DecepPredprbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.mercenary {background: url("/mediawiki/images2/e/e9/Mercenarybp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.quintwfc {background: url("/mediawiki/images2/5/57/Quintwfcbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.automaxg1bw {background: url("/mediawiki/images2/7/7b/AutoMaxbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.deceptpredg1bw {background: url("/mediawiki/images2/2/28/DecepPredbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.StarSeekerbp {background: url("/mediawiki/images2/5/52/StarSeekerbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.primusvanguard {background: url("/mediawiki/images2/0/0d/PrimusVanguardbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.rhgobots {background: url("/mediawiki/images2/3/31/Rhgobotsbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.playskoolgb {background: url("/mediawiki/images2/6/61/PlayskoolGoBotsbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.moonbp {background: url("/mediawiki/images2/e/e1/Moonbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.unicronen {background: url("/mediawiki/images2/9/91/Unicronenbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.maxvehibm {background: url("/mediawiki/images2/4/4e/Maxvehibmbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.fallen {background: url("/mediawiki/images2/7/73/Fallenbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.Wreckersbp {background: url("/mediawiki/images2/2/2e/Wreckersbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.rescuebots {background: url("/mediawiki/images2/9/96/RescueBotsbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.joe {background: url("/mediawiki/images2/4/4e/GIJoebp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.cobra {background: url("/mediawiki/images2/7/77/Cobrabp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.straxus {background: url("/mediawiki/images2/d/d7/Straxusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.masbp {background: url("/mediawiki/images2/7/75/Mayhem-Bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.terrorconbp {background: url("/mediawiki/images2/f/f4/Terrorconbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.terran {background: url("/mediawiki/images2/5/57/Terran-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.multipack {background: url("/mediawiki/images2/d/d6/Multi-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.MayhemWreckersbp {background: url("/mediawiki/images2/f/f0/WreckerMayhem-Bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.firstTF {background: url("/mediawiki/images2/d/d8/FirstTFbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swsith {background: url("/mediawiki/images2/3/38/SWsithbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swseparatist {background: url("/mediawiki/images2/9/9a/SWseparatistbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swrepublic {background: url("/mediawiki/images2/7/7d/SWrepublicbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swrebel {background: url("/mediawiki/images2/d/d1/SWrebelbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swjedi {background: url("/mediawiki/images2/3/3b/SWjedibp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swfett {background: url("/mediawiki/images2/6/6a/SWfettbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swempire {background: url("/mediawiki/images2/4/4f/SWempirebp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}


li.arcaderenegades {background: url("/mediawiki/images2/9/9c/ArcadeRenegades-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.backpackbunch {background: url("/mediawiki/images2/2/21/BackpackBunch-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.bakerybytes {background: url("/mediawiki/images2/9/9a/BakeryBytes-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.cardioclique {background: url("/mediawiki/images2/4/46/CardioClique-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.custodialcrew {background: url("/mediawiki/images2/5/57/CustodialCrew-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.frequentflyers {background: url("/mediawiki/images2/e/ec/FrequentFlyers-b.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.freshsqueezes {background: url("/mediawiki/images2/5/5f/FreshSqueezes-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.gamergeeks {background: url("/mediawiki/images2/e/e6/GamerGeeksbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.googoogroupies {background: url("/mediawiki/images2/e/e3/GooGooGroopies-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.greasergang {background: url("/mediawiki/images2/2/2f/GreaserGang-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.hibotchiheats {background: url("/mediawiki/images2/a/a3/HibotchiHeats-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.homerangers {background: url("/mediawiki/images2/5/55/HomeRangers-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.hungerhubs {background: url("/mediawiki/images2/f/ff/HungerHubs-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.jocksquad {background: url("/mediawiki/images2/8/85/JockSquad-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.lawnleague {background: url("/mediawiki/images2/5/54/LawnLeague-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.losdeliciosos {background: url("/mediawiki/images2/c/cc/LosDeliciosos-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.magictricksters {background: url("/mediawiki/images2/3/36/MagicTricksters-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.moviemoguls {background: url("/mediawiki/images2/8/87/MovieMoguls-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.musicmob {background: url("/mediawiki/images2/2/21/MusicMob-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.partyfavors {background: url("/mediawiki/images2/2/22/PartyFavors-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.petmob {background: url("/mediawiki/images2/6/6b/PetMob-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.playroomposse {background: url("/mediawiki/images2/8/89/PlayroomPosse-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.retroreplays {background: url("/mediawiki/images2/d/d5/RetroReplays-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.sciencealliance {background: url("/mediawiki/images2/3/36/ScienceAlliance-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.seasonsgreeters {background: url("/mediawiki/images2/6/6d/SeasonsGreeters-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.shedheads {background: url("/mediawiki/images2/6/63/ShedHeads-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.spoiledrottens {background: url("/mediawiki/images2/1/13/SpoiledRottens-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.sugarshocks {background: url("/mediawiki/images2/4/4c/SugarShocks-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.swagstylers {background: url("/mediawiki/images2/4/44/SwagStylers-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.techieteam {background: url("/mediawiki/images2/b/b6/TechieTeam-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.toilettroop {background: url("/mediawiki/images2/0/0e/ToiletTroop-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.wildernesstroop {background: url("/mediawiki/images2/d/d6/WildernessTroop-bp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}

li.primabp {background: url("/mediawiki/images2/e/e1/Primabp.jpg") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.vectorbp {background: url("/mediawiki/images2/f/f2/Vectorbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.trionbp {background: url("/mediawiki/images2/6/66/Trionbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.solusbp {background: url("/mediawiki/images2/c/c4/Solusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.micronusbp {background: url("/mediawiki/images2/0/08/Micronusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.alchemistbp {background: url("/mediawiki/images2/2/28/Alchemistbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.nexusbp {background: url("/mediawiki/images2/7/7e/Nexusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.onyxbp {background: url("/mediawiki/images2/2/2a/Onyxbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.amalgamousbp {background: url("/mediawiki/images2/4/49/Amalgamousbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.quintusbp {background: url("/mediawiki/images2/b/b8/Quintusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.maximobp {background: url("/mediawiki/images2/f/ff/Maximobp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.megatronusbp {background: url("/mediawiki/images2/2/29/Megatronusbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}
li.thirteenbp {background: url("/mediawiki/images2/0/05/Thirteenbp.png") no-repeat 0px 1px; padding-left: 18px; list-style: none;}


/* Icons for IDWHasbro wiki links */
#bodyContent a[href^="http://idwhasbro.shoutwiki.com/"].extiw:after {
  display: inline-block;
  content: "";
  width: 16px;
  height: 16px;
  vertical-align: middle;
  background: transparent url('/mediawiki/images2/5/5a/IHWikiFavicon.png') no-repeat;
}
div.noprint a[href^="http://idwhasbro.shoutwiki.com/"].extiw:after { display: none !important; }

/* styles for scrollboxes ala Wookeepedia */
.scrollbox {
	margin-bottom:3px;
	margin-top:3px;
}
.scrollbox tr > td {
	background: transparent;
}
.scrollbox tr > td > div {
	overflow: auto; 
	-moz-border-radius-topleft: 0.5em;
	border: 1px solid #AAAAAA;
	padding-left: 0.5em;
	background: transparent;
}

/* Multiple column lists (collist) responsive edition */
@media all and (max-width: 500px) {
  .collist2,
  .collist3,
  .collist4,
  .collist5,
  .collist6 { -moz-column-count: 2; -webkit-column-count: 2; column-count: 2; }
}
@media all and (min-width: 500px) {
  .collist2 { -moz-column-count: 2; -webkit-column-count: 2; column-count: 2; }
  .collist3 { -moz-column-count: 3; -webkit-column-count: 3; column-count: 3; }
  .collist4 { -moz-column-count: 4; -webkit-column-count: 4; column-count: 4; }
  .collist5 { -moz-column-count: 5; -webkit-column-count: 5; column-count: 5; }
  .collist6 { -moz-column-count: 6; -webkit-column-count: 6; column-count: 6; }
}
.collist2 ul,.collist3 ul,.collist4 ul,.collist5 ul,.collist6 ul {
  margin-top: 0px;
}

/* Multicolumn toylists */
@media all and (min-width: 600px) {
  .toylist { margin-left:1em; width: 100%; }
  .toylistimage { float: right; }
  .toycolumn { vertical-align: top; width: 20%; }
  .toycolumntitleless { vertical-align: top; width: 20%; padding-top: 1.5em; }
}
@media all and (max-width: 600px) {
  .toylist { width: 100%; }
  .toylistimage { margin-left: auto; margin-right: auto; }
  .toycolumn,.toycolumntitleless { display: block; }
}

/*
 * Allow limiting of which header levels are shown in a TOC;
 * <div class="toclimit-3">, for instance, will limit to
 * showing ==headings== and ===headings=== but no further.
 * Used in [[Template:TOC]]
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}